Pedan

Members
  • Posts

    9
  • Joined

Everything posted by Pedan

  1. Just wanted to say that the plugins works fine with 5.0 LTS. Thank you for your awesome work!
  2. I got an issue with the matrix docker. The log is goving me several socket: Protocol not supported lines and a message about turnserver (which i'm not planning to use). In homeserver.yaml I set the listener for port 8008 to listen on '0.0.0.0'. But I cannot connect to the port 8008. EDIT: Is it possible, that docker or that image is unable to bind anything to port 8008? Below several logs: matrix docker log: -=> start turn -=> start matrix Cannot create pid file: /var/run/turnserver.pid: Permission denied socket: Protocol not supported socket: Protocol not supported ... trying to create admin user: $ register_new_matrix_user -c /data/homeserver.yaml http://0.0.0.0:8008 New user localpart [matrix]: pedan Password: Confirm password: Make admin [no]: yes Traceback (most recent call last): File "/usr/local/lib/python3.7/dist-packages/urllib3/connection.py", line 170, in _new_conn (self._dns_host, self.port), self.timeout, **extra_kw File "/usr/local/lib/python3.7/dist-packages/urllib3/util/connection.py", line 96, in create_connection raise err File "/usr/local/lib/python3.7/dist-packages/urllib3/util/connection.py", line 86, in create_connection sock.connect(sa) ConnectionRefusedError: [Errno 111] Connection refused During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/local/lib/python3.7/dist-packages/urllib3/connectionpool.py", line 706, in urlopen chunked=chunked, File "/usr/local/lib/python3.7/dist-packages/urllib3/connectionpool.py", line 394, in _make_request conn.request(method, url, **httplib_request_kw) File "/usr/local/lib/python3.7/dist-packages/urllib3/connection.py", line 234, in request super(HTTPConnection, self).request(method, url, body=body, headers=headers) File "/usr/lib/python3.7/http/client.py", line 1260, in request self._send_request(method, url, body, headers, encode_chunked) File "/usr/lib/python3.7/http/client.py", line 1306, in _send_request self.endheaders(body, encode_chunked=encode_chunked) File "/usr/lib/python3.7/http/client.py", line 1255, in endheaders self._send_output(message_body, encode_chunked=encode_chunked) File "/usr/lib/python3.7/http/client.py", line 1030, in _send_output self.send(msg) File "/usr/lib/python3.7/http/client.py", line 970, in send self.connect() File "/usr/local/lib/python3.7/dist-packages/urllib3/connection.py", line 200, in connect conn = self._new_conn() File "/usr/local/lib/python3.7/dist-packages/urllib3/connection.py", line 182, in _new_conn self, "Failed to establish a new connection: %s" % e urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x147aa5b1e9b0>: Failed to establish a new connection: [Errno 111] Connection refused During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/local/lib/python3.7/dist-packages/requests/adapters.py", line 449, in send timeout=timeout File "/usr/local/lib/python3.7/dist-packages/urllib3/connectionpool.py", line 756, in urlopen method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2] File "/usr/local/lib/python3.7/dist-packages/urllib3/util/retry.py", line 574, in increment raise MaxRetryError(_pool, url, error or ResponseError(cause)) urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='0.0.0.0', port=8008): Max retries exceeded with url: /_synapse/admin/v1/register (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x147aa5b1e9b0>: Failed to establish a new connection: [Errno 111] Connection refused')) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/local/bin/register_new_matrix_user", line 19, in <module> main() File "/usr/local/lib/python3.7/dist-packages/synapse/_scripts/register_new_matrix_user.py", line 220, in main args.user, args.password, args.server_url, secret, admin, args.user_type File "/usr/local/lib/python3.7/dist-packages/synapse/_scripts/register_new_matrix_user.py", line 133, in register_new_user user, password, server_location, shared_secret, bool(admin), user_type File "/usr/local/lib/python3.7/dist-packages/synapse/_scripts/register_new_matrix_user.py", line 42, in request_registration r = requests.get(url, verify=False) File "/usr/local/lib/python3.7/dist-packages/requests/api.py", line 76, in get return request('get', url, params=params, **kwargs) File "/usr/local/lib/python3.7/dist-packages/requests/api.py", line 61, in request return session.request(method=method, url=url, **kwargs) File "/usr/local/lib/python3.7/dist-packages/requests/sessions.py", line 542, in request resp = self.send(prep, **send_kwargs) File "/usr/local/lib/python3.7/dist-packages/requests/sessions.py", line 655, in send r = adapter.send(request, **kwargs) File "/usr/local/lib/python3.7/dist-packages/requests/adapters.py", line 516, in send raise ConnectionError(e, request=request) requests.exceptions.ConnectionError: HTTPConnectionPool(host='0.0.0.0', port=8008): Max retries exceeded with url: /_synapse/admin/v1/register (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x147aa5b1e9b0>: Failed to establish a new connection: [Errno 111] Connection refused')) port test on unraid host: root@Tower:/mnt/user/appdata/matrix# ss -tulpn | grep 8008 tcp LISTEN 0 4096 0.0.0.0:8008 0.0.0.0:* users:(("docker-proxy",pid=1203,fd=4)) root@Tower:/mnt/user/appdata/matrix# curl http://192.168.178.40:8008/ curl: (7) Failed to connect to 192.168.178.40 port 8008: Connection refused listeners part: - port: 8008 tls: false type: http x_forwarded: true bind_addresses: ['0.0.0.0'] resources: - names: [client, federation] compress: false
  3. Hi, I noticed this issue a lot. As soon as I move a disk or trying to upload a disk to an unassigned drive or cache I get thrown into the vms bios. I can see, that the mapping table is seeing the disk controller but it seems that it can't access the disk. Can anyone help with this? logs.txt xml.txt
  4. That did the trick! I edited the /boot/config/network.cfg file and got rid of the messages. Thank you very much!
  5. Apr 14 10:44:23 Tower kernel: br117: received packet on eth117 with own address as source address (addr:40:8d:5c:58:f1:2a, vlan:0) Apr 14 10:44:23 Tower kernel: br117: received packet on eth117 with own address as source address (addr:40:8d:5c:58:f1:2a, vlan:0) Apr 14 10:44:25 Tower kernel: br117: received packet on eth117 with own address as source address (addr:40:8d:5c:58:f1:2a, vlan:0) Apr 14 10:44:32 Tower kernel: br0: received packet on bond0 with own address as source address (addr:40:8d:5c:58:f1:2a, vlan:0) Apr 14 10:45:24 Tower kernel: br0: received packet on bond0 with own address as source address (addr:40:8d:5c:58:f1:2a, vlan:0) Apr 14 10:45:32 Tower kernel: br117: received packet on eth117 with own address as source address (addr:40:8d:5c:58:f1:2a, vlan:0) I had moved from two interfaces on two different vlans to an active-backup bond. My log gets flooded with this entry. Does anyone know how to fix this? I attached a minimal network overview
  6. Hi, is it possible to have my username changed to Pedan?
  7. I could use some help: I am trying to add the bridge on my phone but it always goes into timeout. I checked if the port is open using PuTTY RAW connection (at least it doesn't kick me out). Does someone know how I can test the connection otherwise? Container runs in Bridge network, Port 51826 is mapped to the same port on the host.
  8. This is a method you can only do on your own machines running KVM. Shadow and GeForce NOW users are unable to edit the parameters, therefore you are out of luck,